Skip to content

courier-guy ​

← All modules

3 endpoints.

GET /api/v1/courier-guy/settings ​

Get Settings

200 — Successful Response

json
{}

PUT /api/v1/courier-guy/settings ​

Update Settings

Request body

json
{
  "properties": {
    "api_key": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 256
        },
        {
          "type": "null"
        }
      ],
      "title": "Api Key"
    },
    "base_url": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 255
        },
        {
          "type": "null"
        }
      ],
      "title": "Base Url"
    },
    "collection_company": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 140
        },
        {
          "type": "null"
        }
      ],
      "title": "Collection Company"
    },
    "collection_street_address": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 255
        },
        {
          "type": "null"
        }
      ],
      "title": "Collection Street Address"
    },
    "collection_local_area": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 140
        },
        {
          "type": "null"
        }
      ],
      "title": "Collection Local Area"
    },
    "collection_city": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 140
        },
        {
          "type": "null"
        }
      ],
      "title": "Collection City"
    },
    "collection_zone": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 140
        },
        {
          "type": "null"
        }
      ],
      "title": "Collection Zone"
    },
    "collection_code": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 20
        },
        {
          "type": "null"
        }
      ],
      "title": "Collection Code"
    },
    "collection_country": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 2
        },
        {
          "type": "null"
        }
      ],
      "title": "Collection Country"
    },
    "collection_contact_name": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 140
        },
        {
          "type": "null"
        }
      ],
      "title": "Collection Contact Name"
    },
    "collection_contact_phone": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 40
        },
        {
          "type": "null"
        }
      ],
      "title": "Collection Contact Phone"
    },
    "collection_contact_email": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 255
        },
        {
          "type": "null"
        }
      ],
      "title": "Collection Contact Email"
    },
    "service_level_code": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 32
        },
        {
          "type": "null"
        }
      ],
      "title": "Service Level Code"
    },
    "special_instructions_collection": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 500
        },
        {
          "type": "null"
        }
      ],
      "title": "Special Instructions Collection"
    },
    "parcel_length_cm": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 10
        },
        {
          "type": "null"
        }
      ],
      "title": "Parcel Length Cm"
    },
    "parcel_width_cm": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 10
        },
        {
          "type": "null"
        }
      ],
      "title": "Parcel Width Cm"
    },
    "parcel_height_cm": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 10
        },
        {
          "type": "null"
        }
      ],
      "title": "Parcel Height Cm"
    },
    "parcel_weight_kg": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 10
        },
        {
          "type": "null"
        }
      ],
      "title": "Parcel Weight Kg"
    },
    "mute_notifications": {
      "anyOf": [
        {
          "type": "boolean"
        },
        {
          "type": "null"
        }
      ],
      "title": "Mute Notifications"
    }
  },
  "type": "object",
  "title": "CourierGuySettingsIn",
  "description": "Partial update — a field left out is untouched, an empty string clears it."
}

200 — Successful Response

json
{}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

POST /api/v1/courier-guy/test ​

Test Connection

Quote a sample parcel — proves the key, URL and collection address.

200 — Successful Response

json
{}

Lubb One Documentation